Next | Query returned 47 messages, browsing 31 to 40 | Previous

History of commit frequency

CVS Commit History:


   2015-03-20 17:33:28 by Takahiro Kambe | Files touched by this commit (13)
Log message:
Reset PKGREVISION with updating of php54, php55 and php56.
   2014-10-07 18:47:38 by Adam Ciarcinski | Files touched by this commit (442)
Log message:
Revbump after updating libwebp and icu
   2014-04-09 09:27:19 by OBATA Akio | Files touched by this commit (452)
Log message:
recursive bump from icu shlib major bump.
   2012-10-25 08:57:09 by Aleksej Saushev | Files touched by this commit (587)
Log message:
Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.
   2012-07-20 14:30:38 by Takahiro Kambe | Files touched by this commit (19) | Package updated
Log message:
- Reset PKG_REVISION by both php53 and php54 are updated.
- Remove supporting php5 (PHP 5.2.x) supporting codes.
   2012-06-18 17:16:50 by Takahiro Kambe | Files touched by this commit (3)
Log message:
Remove PHP 5.2.x supporting code.
   2012-06-16 05:02:32 by Takahiro Kambe | Files touched by this commit (1)
Log message:
Use bundled version instead of PECL release for PHP 5.2.x.
   2012-04-27 14:32:08 by OBATA Akio | Files touched by this commit (302)
Log message:
Recursive bump from icu shlib major bumped to 49.
   2012-04-25 20:55:41 by Adam Ciarcinski | Files touched by this commit (13) | Package removed
Log message:
Changes 2.0.0:
* Fixed bug 61487 - bad bounds check in grapheme_strpos.
* Fixed several tests.
   2011-12-17 14:46:29 by OBATA Akio | Files touched by this commit (13) | Package updated
Log message:
Change default PKGNAME scheme for PECL packages.
Drop ${PHP_BASE_VARS} from PKGVERSION by default.

It used to be required to support multiple php version.
But after PHP version based ${PHP_PKG_PREFIX} was introduced,
such trick is not required anymore.
In addition to this, such version name schme invokes unwanted version bump
when base php version is bumped, plus, such version scheme is hard to
use for DEPENDS pattern.

To avoid downgrading of package using such legacy version scheme,
PECL_LEGACY_VERSION_SCHEME is introduced.
If it is defined, current version scheme is still used for currently
supported PHP version (5 and 53), but instead of ${PHP_BASE_VARS},
current fixed PHP base version in pkgsrc is used to avoid unwanted version bump
from update of PHP base package.
With newer PHP (54, or so on), new version scheme will be used if
it is defined.
This trick will not be required and should be removed after php5 and php53 will
be gone away from pkgsrc.

Next | Query returned 47 messages, browsing 31 to 40 | Previous